com.google.cloud.dataflow.sdk.coders

## Class Coder.NonDeterministicException

- java.lang.Object
- - java.lang.Throwable
  - - com.google.cloud.dataflow.sdk.coders.Coder.NonDeterministicException

All Implemented Interfaces:
  Serializable

Enclosing interface:
  Coder<T>

    public static class Coder.NonDeterministicException
    extends Throwable

Exception thrown by `Coder.verifyDeterministic()` if the encoding is not deterministic, including details of why the encoding is not deterministic.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NonDeterministicException(Coder<?> coder, List<String> reasons)`
`NonDeterministicException(Coder<?> coder, List<String> reasons, Coder.NonDeterministicException cause)`
`NonDeterministicException(Coder<?> coder, String reason)`
`NonDeterministicException(Coder<?> coder, String reason, Coder.NonDeterministicException e)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMessage()`
`Iterable<String>` `getReasons()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NonDeterministicException

    public NonDeterministicException(Coder<?> coder,
                                     String reason,
                                     @Nullable
                                     Coder.NonDeterministicException e)

#### NonDeterministicException

    public NonDeterministicException(Coder<?> coder,
                                     String reason)

#### NonDeterministicException

    public NonDeterministicException(Coder<?> coder,
                                     List<String> reasons)

#### NonDeterministicException

    public NonDeterministicException(Coder<?> coder,
                                     List<String> reasons,
                                     @Nullable
                                     Coder.NonDeterministicException cause)

### Method Detail

#### getReasons

    public Iterable<String> getReasons()

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`